Bug 833465 - restorecon still oscillates among spam* and pyzor* context aliases
restorecon still oscillates among spam* and pyzor* context aliases
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 10:11 EDT by Milos Malik
Modified: 2014-06-17 22:13 EDT (History)
0 users

See Also:
Fixed In Version: selinux-policy-3.10.0-133.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:23:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-06-19 10:11:21 EDT
Description of problem:

Version-Release number of selected component (if applicable):
libselinux-2.1.10-4.el7.x86_64
libselinux-devel-2.1.10-4.el7.x86_64
libselinux-python-2.1.10-4.el7.x86_64
libselinux-ruby-2.1.10-4.el7.x86_64
libselinux-utils-2.1.10-4.el7.x86_64
libsemanage-2.1.7-1.el7.x86_64
libsemanage-python-2.1.7-1.el7.x86_64
libsepol-2.1.5-3.el7.x86_64
libsepol-devel-2.1.5-3.el7.x86_64
policycoreutils-2.1.11-18.el7.x86_64
policycoreutils-newrole-2.1.11-18.el7.x86_64
policycoreutils-python-2.1.11-18.el7.x86_64
selinux-policy-3.10.0-128.el7.noarch
selinux-policy-devel-3.10.0-128.el7.noarch
selinux-policy-doc-3.10.0-128.el7.noarch
selinux-policy-minimum-3.10.0-128.el7.noarch
selinux-policy-mls-3.10.0-128.el7.noarch
selinux-policy-targeted-3.10.0-128.el7.noarch

How reproducible:
always

Steps to Reproduce:
# restorecon -Rv /etc
restorecon reset /etc/pyzor context unconfined_u:object_r:spamd_etc_t:s0->unconfined_u:object_r:pyzor_etc_t:s0
# restorecon -Rv /etc
restorecon reset /etc/pyzor context unconfined_u:object_r:spamd_etc_t:s0->unconfined_u:object_r:pyzor_etc_t:s0
# restorecon -Rv /usr/bin/
restorecon reset /usr/bin/pyzord context system_u:object_r:spamd_exec_t:s0->system_u:object_r:pyzord_exec_t:s0
restorecon reset /usr/bin/pyzor context system_u:object_r:spamc_exec_t:s0->system_u:object_r:pyzor_exec_t:s0
# restorecon -Rv /usr/bin/
restorecon reset /usr/bin/pyzord context system_u:object_r:spamd_exec_t:s0->system_u:object_r:pyzord_exec_t:s0
restorecon reset /usr/bin/pyzor context system_u:object_r:spamc_exec_t:s0->system_u:object_r:pyzor_exec_t:s0
# 

Expected results:
* each of the files mentioned above is labelled correctly
Comment 1 Daniel Walsh 2012-06-19 13:48:26 EDT
I just merged everything into spamassassin.pp and removed pyzord and razor from F18, We need to back port this into F17 and pulled into rhel7.
Comment 2 Miroslav Grepl 2012-06-19 16:55:37 EDT
It was definetly fixed but it got back by a merge issue. Will backport to F17.
Comment 3 Miroslav Grepl 2012-06-28 10:20:46 EDT
Fixed in selinux-policy-targeted-3.10.0-133.el7
Comment 5 Ludek Smid 2014-06-13 09:23:41 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.